Subject: Re: mmotm 2020-05-13-20-30 uploaded (objtool warnings)

From: Al Viro <[email-masked]>
Date: Fri, 29 May 2020 21:14:34 +0100

On Fri, May 29, 2020 at 09:08:56PM +0100, Al Viro wrote:
> On Fri, May 29, 2020 at 12:31:04PM -0700, Linus Torvalds wrote:
> > On Fri, May 29, 2020 at 9:50 AM Josh Poimboeuf <[email-masked]> wrote:
> > >
> > > From staring at the asm I think the generated code is correct, it's just
> > > that the nested likelys with ftrace profiling cause GCC to converge the
> > > error/success paths.  But objtool doesn't do register value tracking so
> > > it's not smart enough to know that it's safe.
> > 
> > I'm surprised that gcc doesn't end up doing the obvious CSE and then
> > branch following and folding it all away in the end, but your patch is
> > obviously the right thing to do regardless, so ack on that.
> > 
> > Al - I think this had best go into your uaccess cleanup branch with
> > that csum-wrapper update, to avoid any unnecessary conflicts or
> > dependencies.
> 
> Sure, just let me verify that other branches don't introduce anything
> of that sort...

... they don't.

OK, folded, rebuild #for-next, pushed both out...